class ff2 extends f_xj
{public double func(double x[])
{return x[0]*x[0]*x[1]*x[2]+x[1]*x[1];}
}
public class f_xjtest
{
public static void main(String arg[])
{ff2 f=new ff2();
double x1[]={1.0,2.0,1.0};
 double f1[][]=f.d2func(x1);
 System.out.println("f1=\n"+Matrix.toString(f1));
}	
}